## PkTransactionList PkTransactionList — A nice way to keep a list of the jobs being processed |

## Functions

PkTransactionList * | pk_transaction_list_new ()
gchar ** | pk_transaction_list_get_ids ()

## Description

These provide a good way to keep a list of the jobs being processed so we can see what type of jobs and thier status easily.

## Functions

### pk_transaction_list_new ()

    PkTransactionList *
    pk_transaction_list_new (void);

Since: 0.5.3

### pk_transaction_list_get_ids ()

    gchar **
    pk_transaction_list_get_ids (PkTransactionList *tlist);

Gets the string lists of transaction IDs recognised as pending, running or finished by the daemon.

#### Parameters

tlist | a valid PkTransactionList instance |

#### Returns

the array of strings, free with `g_strfreev()`.

[transfer full]

Since: 0.5.3

## Types and Values